Bug 448566 - Ability to drag windows between displays in Overview effect
Summary: Ability to drag windows between displays in Overview effect
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: 5.24.0
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 442540 449866 450009 450078 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-01-15 23:15 UTC by indecisiveautomator
Modified: 2022-06-07 22:36 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description indecisiveautomator 2022-01-15 23:15:17 UTC
SUMMARY
The ability to drag windows between displays in the Overview effect would be really nice. For example if one could drag it over to another display or drag it into a specific desktop for that display.


STEPS TO REPRODUCE
1. Activate Overview effect
2. Drag a window over to another display or another display's desktop list


OBSERVED RESULT
A window can only be dragged between desktops on the current display.


EXPECTED RESULT
It would be a nice improvement if windows could be dragged between displays and dragged and dropped into the desktops list in the overview effect on a per-display basis.


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.16.0-arch1-1
KDE Plasma Version: 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Have not tested X11.
Comment 1 tromzy 2022-01-21 09:02:46 UTC
I completely agree. If we compare with the Grid desktop effect, on a multi-monitor setup we can move windows between monitors, and we can also move a window from monitor 1 in virtual desktop 1 to monitor 2 on virtual desktop 2. In the Overview effect, we can move a window from monitor 1 in virtual desktop 1 to monitor 1 on virtual desktop 2, but not to monitor 2 on virtual desktop 2, for instance.
Comment 2 Oded Arbel 2022-02-08 15:14:09 UTC
*** Bug 442540 has been marked as a duplicate of this bug. ***
Comment 3 Vlad Zahorodnii 2022-02-09 15:07:08 UTC
*** Bug 449866 has been marked as a duplicate of this bug. ***
Comment 4 Vlad Zahorodnii 2022-02-09 15:09:59 UTC
Yeah, ideally, the overview effect needs to allow dropping windows from one screen to another. It has not been implemented yet because qtquick doesn't make it easy. I made some proof-of-concept patches earlier but wasn't satisfied with the overall design. Hopefully, it will be fully fixed in 5.25.
Comment 5 Vlad Zahorodnii 2022-02-11 13:16:38 UTC
*** Bug 450009 has been marked as a duplicate of this bug. ***
Comment 6 Vlad Zahorodnii 2022-02-14 07:43:54 UTC
*** Bug 450078 has been marked as a duplicate of this bug. ***
Comment 7 Nate Graham 2022-05-23 15:09:19 UTC
In progress with https://invent.kde.org/plasma/kwin/-/merge_requests/2388!
Comment 8 Marco Martin 2022-06-06 13:49:05 UTC
Git commit 3d0beae8285fb82ea6b51ba10f2e47dc515727e2 by Marco Martin.
Committed on 06/06/2022 at 13:48.
Pushed by mart into branch 'master'.

Drag windows between screens in WindowHeap

Allow dragging windows between screens, using a placeholder thumbnail item to
render part of the thumbnail on the other screen.
Related: bug 283333, bug 453996

M  +13   -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +60   -3    src/effects/private/qml/WindowHeap.qml
M  +0    -1    src/effects/windowview/qml/main.qml
M  +10   -0    src/libkwineffects/kwineffects.cpp
M  +3    -0    src/libkwineffects/kwineffects.h
M  +49   -0    src/libkwineffects/kwinquickeffect.cpp
M  +7    -0    src/libkwineffects/kwinquickeffect.h
M  +5    -0    src/scripting/workspace_wrapper.cpp
M  +2    -0    src/scripting/workspace_wrapper.h

https://invent.kde.org/plasma/kwin/commit/3d0beae8285fb82ea6b51ba10f2e47dc515727e2
Comment 9 Marco Martin 2022-06-06 14:18:03 UTC
Git commit 6c14ae78e8f5f4f4bbfa17f012164a5b4d3dc0cd by Marco Martin.
Committed on 06/06/2022 at 14:17.
Pushed by mart into branch 'Plasma/5.25'.

Drag windows between screens in WindowHeap

Allow dragging windows between screens, using a placeholder thumbnail item to
render part of the thumbnail on the other screen.
Related: bug 283333, bug 453996

M  +13   -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +60   -3    src/effects/private/qml/WindowHeap.qml
M  +0    -1    src/effects/windowview/qml/main.qml
M  +10   -0    src/libkwineffects/kwineffects.cpp
M  +3    -0    src/libkwineffects/kwineffects.h
M  +49   -0    src/libkwineffects/kwinquickeffect.cpp
M  +7    -0    src/libkwineffects/kwinquickeffect.h
M  +5    -0    src/scripting/workspace_wrapper.cpp
M  +2    -0    src/scripting/workspace_wrapper.h

https://invent.kde.org/plasma/kwin/commit/6c14ae78e8f5f4f4bbfa17f012164a5b4d3dc0cd